var old_tr_color;
function Marker(t, domain_id, color_on, color_off) {
	if (t.checked) {
		document.getElementById("tr" + domain_id).style.background = color_on;
	}
	else {
		document.getElementById("tr" + domain_id).style.background = color_off;
	}
	old_tr_color = document.getElementById("tr" + domain_id).style.background;
}

function cbg_on(t, color) {
	old_tr_color = t.style.background;
	t.style.background = color;
}

function cbg_off(t) {
	t.style.background = old_tr_color;
}

function CheckAllCheckboxs(t, color_on, color_off) {
	var c = document.getElementsByTagName('input');
	var i = 0;
	for (i = 0; i < c.length; i++) {
		if (c[i].name.substr(0, 9) == 'domain_id') {
			c[i].checked = t.checked;
		}
	}

	c = document.getElementsByTagName('tr');
	for (i = 0; i < c.length; i++) {
		if (c[i].id.substr(0, 2) == 'tr') {
			if (t.checked) {
				c[i].style.background = color_on;
			} else {
				c[i].style.background = color_off;
			}
		}
	}


}

function validate_del(name, id, c_page) {
	if (confirm("Вы действительно хотите удалить домен: " + name)) {
		window.location.replace('del.php?did=' + id + '&c_page=' + c_page);
	}
}

function validate_data_update(name, id, c_page) {
	if (confirm("Вы действительно хотите обновить данные для домена: " + name)) {
		window.location.replace('data_update.php?did=' + id + '&c_page=' + c_page);
	}
}

function hosting_renew_del(w) {
	var del_cb = document.getElementById('delete_selected');
	var del_btn = document.getElementById('delete_button');
	var renew_cb = document.getElementById('renew_selected');
	var renew_btn = document.getElementById('renew_button');

	if (w == 'd') {
		if (del_cb.checked) {
			del_btn.disabled = false;
			renew_cb.checked = false;
			renew_btn.disabled = true;
		} else {
			del_btn.disabled = true;
		}
	} else if (w == 'r') {
		if (renew_cb.checked) {
			renew_btn.disabled = false;
			del_cb.checked = false;
			del_btn.disabled = true;
		} else {
			renew_btn.disabled = true;
		}
	}
}

function validate_hosting_del(name, id, c_page, service_id) {
	if (confirm("Вы действительно хотите удалить хостинг домена: " + name)) {
		window.location.replace('del.php?hid=' + id + '&c_page=' + c_page + '&service_id=' + service_id);
	}
}

function validate_hosting_data_update(name, id, c_page, service_id) {
	if (confirm("Вы действительно хотите обновить данные для хостинга домена: " + name)) {
		window.location.replace('data_update.php?hid=' + id + '&c_page=' + c_page + '&service_id=' + service_id);
	}
}

function domain_transfer_cancel(dname, id) {
	if (confirm("Вы действительно хотите отменить заявку на перенос домена: " + dname)) {
		window.location.replace('transfer_cancel.php?did=' + id);
	}
}

